Bug 242413 - [PATCH] sysutils/hatop: Support system python (3.6) ; Set maintainer.
Summary: [PATCH] sysutils/hatop: Support system python (3.6) ; Set maintainer.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL: https://github.com/feurix/hatop/pull/7
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-03 22:22 UTC by mikeg
Modified: 2019-12-09 08:37 UTC (History)
1 user (show)

See Also:


Attachments
hatop 0.7.7_2 -> 0.7.7_3 patch (8.32 KB, patch)
2019-12-03 22:22 UTC, mikeg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikeg 2019-12-03 22:22:10 UTC
Created attachment 209673 [details]
hatop 0.7.7_2 -> 0.7.7_3 patch

The attached patch updates hatop to support Python 3.6.
This is based on PR#7 in the project's github and should also work with Python 2.7 but I have not tested that since Python 2 is EOL on January 1 2020.

As this port is in need of a maintainer this patch also sticks me with that responsibility.

Build/Run checked OK on FreeBSD 12.0p12
Comment 1 commit-hook freebsd_committer 2019-12-09 08:33:53 UTC
A commit references this bug:

Author: meta
Date: Mon Dec  9 08:33:40 UTC 2019
New revision: 519596
URL: https://svnweb.freebsd.org/changeset/ports/519596

Log:
  sysutils/hatop: Switch to Python 3.6+

  and add patch to support Python 3 since Python 2 is EoL on January 1 2020.

  PR:		242413
  Submitted by:	maintainer
  Obtained from:	https://github.com/feurix/hatop/pull/7

Changes:
  head/sysutils/hatop/Makefile
  head/sysutils/hatop/files/
  head/sysutils/hatop/files/patch-bin_hatop
Comment 2 Koichiro Iwao freebsd_committer 2019-12-09 08:37:22 UTC
Committed, thanks!